package com.framework.pay.core.enums;

/**
 * @Filename: transCurrencyEnum
 * @Author: zzy
 * @Data:2023/4/29 15:18
 * @Description: 支付币种
 */
public enum TransCurrencyEnum {

    /**
     * 英镑
     */
    GBP,

    /**
     * 港币
     */
    HKD,

    /**
     * 美元
     */
    USD,

    /**
     * 人名币
     */
    CNY
}
