package com.framework.design.structure.adapter;

/**
 * @Filename: Slf4jLog
 * @Author: zzy
 * @Date: 2023/5/24-17:35
 * @Description: slf4j日志接口
 *
 * adpater Target目标接口
 */
public interface Slf4jLog {

    boolean isTraceEnabled();

    void trace(String var1);

    void debug(String var1);

    boolean isDebugEnabled();

    void info(String var1);

    void warn(String var1);

}
