/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.framework.toolkit;

import com.alipay.api.internal.util.json.ExceptionErrorListener;
import com.alipay.api.internal.util.json.JSONReader;
import com.alipay.api.internal.util.json.JSONValidatingReader;

/**
 * @Filename:
 * @Author: zzy
 * @Date: 2023/6/9-16:21
 * @Description:
 */

public class JSONValidatingReaderTest {

    public static void main(String args[]){
        JSONReader reader = new JSONValidatingReader(new ExceptionErrorListener());
        String json = "{\"customInWarehouseCode\":\"IN95455611\",\"productId\":230,\"warehouseId\":17,\"remark\":\"11111\",\"warehousingTime\":\"2023-06-09\",\"detailList\":[{\"imsi\":\"1111111111111\",\"mss\":\"sda\",\"costPrice\":\"22222\",\"includeTaxCostPrice\":\"22444.22\",\"costPriceCurrency\":\"EUR\",\"suggestedPrice\":\"\",\"channelId\":41,\"costCenterId\":1,\"revenueCenterId\":2,\"operatorId\":62,\"taxRate\":1}]}";
        Object read = reader.read(json);


    }
}
