/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.framework.toolkit;

import java.util.Enumeration;
import java.util.StringTokenizer;

/**
 * @Filename:
 * @Author: zzy
 * @Date: 2023/6/1-16:05
 * @Description:
 */
public class StringTokenizerNative implements Enumeration<Object> {


    @Override
    public boolean hasMoreElements() {
        return false;
    }

    @Override
    public Object nextElement() {
        return null;
    }


    public static void main(String args[]){
        StringTokenizer stringTokenizer = new StringTokenizer("A_.A_B_.C","\t",true);

        int iCount = stringTokenizer.countTokens();

        System.out.println(iCount);

        String delim = "你";

        System.out.println(delim.charAt(0));

    }
}
