package com.framework.design;

import com.framework.design.structure.adapter.Log;
import com.framework.design.structure.adapter.LogFactory;
import org.junit.jupiter.api.Test;
import org.springframework.boot.test.context.SpringBootTest;

import java.lang.reflect.Constructor;

@SpringBootTest
class DesignApplicationTests {

    @Test
    void contextLoads() {

        Constructor<? extends Log> logConstructor = LogFactory.getLogConstructor();

        System.out.println(logConstructor);
    }

}
