package com.framework.wxpay.client.api;

/**
 * @author zzy
 * @date 2023/5/12-14:36
 * @Description: 微信支付client
 */
public interface WxpayClient {

    /**
     * v2版本支付
     *
     * @param request
     * @param <T>
     * @return
     */
    <T extends WxpayResponse> T excute(WxpayRequest<T> request);

    /**
     * v3证书版本支付
     *
     * @param request
     * @param <T>
     * @return
     */
    <T extends WxpayResponse> T certificateExecute(WxpayRequest<T> request);

}
