package com.framework.design.structure.adapter;

/**
 * @Filename: Log
 * @Author: zzy
 * @Date: 2023/5/24-17:41
 * @Description: 定义一组公共日志操作接口
 */
public interface Log {

    boolean isDebugEnabled();

    boolean isTraceEnabled();

    void error(String var1, Throwable var2);

    void error(String var1);

    void debug(String var1);

    void trace(String var1);

    void warn(String var1);
    
}
