/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.framework.design.structure.adapter;

/**
 * @Filename: Slf4jLogImpl
 * @Author: zzy
 * @Date: 2023/5/24-17:39
 * @Description: slf4j日志接口实现
 */

public class Slf4jLogImpl implements Slf4jLog {
    @Override
    public boolean isTraceEnabled() {
        return true;
    }

    @Override
    public void trace(String var1) {

    }

    @Override
    public void debug(String var1) {

    }

    @Override
    public boolean isDebugEnabled() {
        return false;
    }

    @Override
    public void info(String var1) {

    }

    @Override
    public void warn(String var1) {

    }
}
