package com.framework.toolkit;

/**
 * @Filename: Encrypt
 * @Author: zzy
 * @Date: 2023/6/2-9:47
 * @Description:
 */
public interface Encrypt {

    /**
     * 加密方法
     *
     * @param content   需要加密的字符串
     * @param aesKey    加密key
     * @param charset   加密字符串格式
     * @return          加密成功的字符串
     */
    String encrypt(String content,String aesKey,String charset);

    /**
     * 解密方法
     *
     * @param content   需要解密的字符串
     * @param aesKey    解密key
     * @param charset   解密字符串格式
     * @return          解密成功的字符串
     */
    String decrypt(String content,String aesKey,String charset);
}
